Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaBindingWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaBindingWriter

All Implemented Interfaces:
  Generator

public class JavaBindingWriter
extends java.lang.Object
implements Generator

This is Wsdl2java's Binding Writer. It writes the following files, as appropriate: Stub.java, Skeleton.java, Impl.java.

Field Summary
`protected javax.wsdl.Binding` | `binding` Field binding
`protected Emitter` | `emitter` Field emitter
`protected Generator` | `implWriter` Field implWriter
`static java.lang.String` | `INTERFACE_NAME` Field INTERFACE_NAME
`protected Generator` | `interfaceWriter` Field interfaceWriter
`protected Generator` | `skelWriter` Field skelWriter
`protected Generator` | `stubWriter` Field stubWriter
`protected SymbolTable` | `symbolTable` Field symbolTable

Constructor Summary
`JavaBindingWriter(Emitter emitter, javax.wsdl.Binding binding, SymbolTable symbolTable)` Constructor.

Method Summary
`void` | `generate()` Write all the binding bindings: stub, skeleton, and impl.
`protected Generator` | `getJavaImplWriter(Emitter emitter, BindingEntry bEntry, SymbolTable st)` getJavaImplWriter
`protected Generator` | `getJavaInterfaceWriter(Emitter emitter, PortTypeEntry ptEntry, BindingEntry bEntry, SymbolTable st)` getJavaInterfaceWriter
`protected Generator` | `getJavaSkelWriter(Emitter emitter, BindingEntry bEntry, SymbolTable st)` getJavaSkelWriter
`protected Generator` | `getJavaStubWriter(Emitter emitter, BindingEntry bEntry, SymbolTable st)` getJavaStubWriter
`protected void` | `setGenerators()` setGenerators Logic to set the generators that are based on the Binding This logic was moved from the constructor so extended interfaces can more effectively use the hooks.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stubWriter

    protected Generator stubWriter

  Field stubWriter

### skelWriter

    protected Generator skelWriter

  Field skelWriter

### implWriter

    protected Generator implWriter

  Field implWriter

### interfaceWriter

    protected Generator interfaceWriter

  Field interfaceWriter

### emitter

    protected Emitter emitter

  Field emitter

### binding

    protected javax.wsdl.Binding binding

  Field binding

### symbolTable

    protected SymbolTable symbolTable

  Field symbolTable

### INTERFACE_NAME

    public static java.lang.String INTERFACE_NAME

  Field INTERFACE_NAME

Constructor Detail

### JavaBindingWriter

    public JavaBindingWriter(Emitter emitter,
                             javax.wsdl.Binding binding,
                             SymbolTable symbolTable)

  Constructor.

Parameters:
  `emitter` -
  `binding` -
  `symbolTable` -

Method Detail

### getJavaInterfaceWriter

    protected Generator getJavaInterfaceWriter(Emitter emitter,
                                               PortTypeEntry ptEntry,
                                               BindingEntry bEntry,
                                               SymbolTable st)

  getJavaInterfaceWriter

  Parameters:
    `emitter` -
    `ptEntry` -
    `bEntry` -
    `st` -
  Returns:

### getJavaStubWriter

    protected Generator getJavaStubWriter(Emitter emitter,
                                          BindingEntry bEntry,
                                          SymbolTable st)

  getJavaStubWriter

  Parameters:
    `emitter` -
    `bEntry` -
    `st` -
  Returns:

### getJavaSkelWriter

    protected Generator getJavaSkelWriter(Emitter emitter,
                                          BindingEntry bEntry,
                                          SymbolTable st)

  getJavaSkelWriter

  Parameters:
    `emitter` -
    `bEntry` -
    `st` -
  Returns:

### getJavaImplWriter

    protected Generator getJavaImplWriter(Emitter emitter,
                                          BindingEntry bEntry,
                                          SymbolTable st)

  getJavaImplWriter

  Parameters:
    `emitter` -
    `bEntry` -
    `st` -
  Returns:

### generate

    public void generate()
                  throws java.io.IOException

  Write all the binding bindings: stub, skeleton, and impl.

  Specified by:
    `generate` in interface `Generator`
  Throws:
    `java.io.IOException`

### setGenerators

    protected void setGenerators()

  setGenerators Logic to set the generators that are based on the Binding This logic was moved from the constructor so extended interfaces can more effectively use the hooks.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.